// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/sstephenson/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_ujs
//= require bootstrap-sprockets
//= require jquery.turbolinks
// www.chartjs.org/docs/
//= require Chart
//= require locastyle
//= require turbolinks
//= require_tree ./management
//= require best_in_place

var teachers, curators, admins;
var visualised,non_visualised;
var n_complaints;
var complaints = [];
var complaints_names = [];

$(document).ready(function(){
  if (document.getElementById("lobject") !== null) {
    visualised = document.getElementById("lobject").value;
    non_visualised = document.getElementById("lobject_non").value;
    var data_learning_objects = dataLearningObjects(visualised,non_visualised);
  }
  if (document.getElementById("n_teachers") !== null) {

    teachers = document.getElementById("n_teachers").value;
    curators = document.getElementById("n_curators").value;
    admins = document.getElementById("n_admins").value;
    var data_users = dataUsers(teachers,curators,admins);
  }

  if(document.getElementById("n_complaints") != null) {

    n_complaints = document.getElementById("n_complaints").value;

    for (i = 0; i < n_complaints; i++) {
      complaints[i] = document.getElementById("complaints[" + i + "]").value;
      complaints_names[i] = document.getElementById("complaints_names[" + i + "]").value;
    }

    var data_complaints = dataComplaints(complaints, complaints_names, n_complaints);
  }

  if (document.getElementById("lcollection") !== null) {
    visualised = document.getElementById("lcollection").value;
    non_visualised = document.getElementById("lcollection_non").value;
    var data_collections = dataCollections(visualised,non_visualised);
  }



    var charts = ["collections","users","learning_objects","accesses","complaints"];

    for(i=0;i<charts.length;i++) {
      if ( document.getElementById(charts[i]) ) {
          var ctx = document.getElementById(charts[i]).getContext("2d");
         switch ( charts[i] ){
           case "collections":
             new Chart(ctx).Pie(data_collections,pie_options);
             var colections_chart = new Chart(ctx).Pie(data_colections);
             break;
           case "users":
             new Chart(ctx).Bar(data_users,bar_options);
             var users_chart = new Chart(ctx).Bar(data_users);
             break;
           case "learning_objects":
             new Chart(ctx).Pie(data_learning_objects,pie_options);
             var learning_objects_chart = new Chart(ctx).Pie(data_learning_objects);
             break;
           case "accesses":
             new Chart(ctx).Line(data_accesses,line_options);
             var accesses_chart = new Chart(ctx).Line(data_accesses);
             break;
           case "complaints":
             new Chart(ctx).Pie(data_complaints,pie_options);
             var complaints_chart = new Chart(ctx).Pie(data_complaints);
             break;

           default:  null;
             break;
         }
      }
    }
  }
);

Chart.defaults.global = {
    // Boolean - Whether to animate the chart
    animation: true,

    // Number - Number of animation steps
    animationSteps: 60,

    // String - Animation easing effect
    // Possible effects are:
    // [easeInOutQuart, linear, easeOutBounce, easeInBack, easeInOutQuad,
    //  easeOutQuart, easeOutQuad, easeInOutBounce, easeOutSine, easeInOutCubic,
    //  easeInExpo, easeInOutBack, easeInCirc, easeInOutElastic, easeOutBack,
    //  easeInQuad, easeInOutExpo, easeInQuart, easeOutQuint, easeInOutCirc,
    //  easeInSine, easeOutExpo, easeOutCirc, easeOutCubic, easeInQuint,
    //  easeInElastic, easeInOutSine, easeInOutQuint, easeInBounce,
    //  easeOutElastic, easeInCubic]
    animationEasing: "easeOutQuart",

    // Boolean - If we should show the scale at all
    showScale: true,

    // Boolean - If we want to override with a hard coded scale
    scaleOverride: false,

    // ** Required if scaleOverride is true **
    // Number - The number of steps in a hard coded scale
    scaleSteps: null,
    // Number - The value jump in the hard coded scale
    scaleStepWidth: 1,
    // Number - The scale starting value
    scaleStartValue: null,

    // String - Colour of the scale line
    scaleLineColor: "rgba(0,0,0,.1)",

    // Number - Pixel width of the scale line
    scaleLineWidth: 1,

    // Boolean - Whether to show labels on the scale
    scaleShowLabels: true,

    // Interpolated JS string - can access value
    scaleLabel: "<%=value%>",

    // Boolean - Whether the scale should stick to integers, not floats even if drawing space is there
    scaleIntegersOnly: true,

    // Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
    scaleBeginAtZero: false,

    // String - Scale label font declaration for the scale label
    scaleFontFamily: "'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",

    // Number - Scale label font size in pixels
    scaleFontSize: 12,

    // String - Scale label font weight style
    scaleFontStyle: "normal",

    // String - Scale label font colour
    scaleFontColor: "#666",

    // Boolean - whether or not the chart should be responsive and resize when the browser does.
    responsive: false,

    // Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
    maintainAspectRatio: true,

    // Boolean - Determines whether to draw tooltips on the canvas or not
    showTooltips: true,

    // Function - Determines whether to execute the customTooltips function instead of drawing the built in tooltips (See [Advanced - External Tooltips](#advanced-usage-custom-tooltips))
    customTooltips: false,

    // Array - Array of string names to attach tooltip events
    tooltipEvents: ["mousemove", "touchstart", "touchmove"],

    // String - Tooltip background colour
    tooltipFillColor: "rgba(0,0,0,0.8)",

    // String - Tooltip label font declaration for the scale label
    tooltipFontFamily: "'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",

    // Number - Tooltip label font size in pixels
    tooltipFontSize: 14,

    // String - Tooltip font weight style
    tooltipFontStyle: "normal",

    // String - Tooltip label font colour
    tooltipFontColor: "#fff",

    // String - Tooltip title font declaration for the scale label
    tooltipTitleFontFamily: "'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",

    // Number - Tooltip title font size in pixels
    tooltipTitleFontSize: 14,

    // String - Tooltip title font weight style
    tooltipTitleFontStyle: "bold",

    // String - Tooltip title font colour
    tooltipTitleFontColor: "#fff",

    // Number - pixel width of padding around tooltip text
    tooltipYPadding: 6,

    // Number - pixel width of padding around tooltip text
    tooltipXPadding: 6,

    // Number - Size of the caret on the tooltip
    tooltipCaretSize: 8,

    // Number - Pixel radius of the tooltip border
    tooltipCornerRadius: 6,

    // Number - Pixel offset from point x to tooltip edge
    tooltipXOffset: 10,

    // String - Template string for single tooltips
    tooltipTemplate: "<%if (label){%><%=label%>: <%}%><%= value %>",

    // String - Template string for multiple tooltips
    multiTooltipTemplate: "<%= value %>",

    // Function - Will fire on animation progression.
    onAnimationProgress: function(){},

    // Function - Will fire on animation completion.
    onAnimationComplete: function(){}
};
