class Rate < ActiveRecord::Base
  belongs_to :user
  belongs_to :review

  validates_presence_of :user, :review
  validates_inclusion_of :approves, in: [true, false]

  validates_uniqueness_of :user, scope: :review

  validate :cannot_rate_your_own, on: :create

  private

  def cannot_rate_your_own
    errors.add(:user_id, "cannot rate your own review") if review.user == user
  end
end
